Title
Create new category
Edit page index title
Edit category
Edit link
Asset Library
Overview
These APIs allow you to manage assets (files, zip uploads, and folders) within an account. You can get assets, upload files, check upload status, or delete assets/folders from the asset library.
For information on Generating API key, see "Generating API Key" in https://docs.jivox.com/jivox-documentation/generate-api-key
| Method Name | Method Type | Description |
|---|---|---|
| Get Assets | GET | Retrieves a list of files and folders in the account's asset library. |
| Upload File/Zip to Asset Library | POST | Uploads a file or zip to the asset library. |
| Get Upload Detailed Status | GET | Retrieves detailed status of an asset upload queue. |
| Get Upload Status | GET | Retrieves summary status of an upload queue. |
| Delete Assets/Asset Folders | DELETE | Deletes a file or folder in the asset library. |
Get Assets
Get assets for a given user account.
End Point
GET <api-url>/v2/accounts/:accountId/asset-libraryParameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | Integer | Mandatory | path | ID of the advertiser account created on the platform. |
| nextKey | String | Optional | query | Pagination key for results |
| limit | Integer | Optional | query | Number of items per page |
| prefix | String | Optional | query | List assets under given prefix/path |
Path and filename validations apply
Sample Request
GET http://demo.stub.api.jivox.com/v2/accounts/1234/asset-library?nextKey=asdvaava&limit=3&prefix=abc/defSample Response
{ "files": [ { "cdnUrl": "https://cdn.jivox.com/files/1234/abc/def/test1.png", "date": "2025-08-04T09:28:14Z", "name": "test1.png", "size": "2.25 KB" }, { "cdnUrl": "https://cdn.jivox.com/files/1234/abc/def/test2.png", "date": "2025-08-04T09:28:14Z", "name": "test2.png", "size": "2.25 KB" } ], "folders": [ "testfolder1" ], "nextKey": "abxyzzlead", "path": "abc/def"}If there is no next page, nextKey would be null.
Upload File/Zip to Asset Library
Upload files or zip to Asset Library.
End Point
POST <api-url>/v2/accounts/:accountId/asset-libraryParameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | String | Mandatory | path | ID of the advertiser account created on the platform. |
Sample Request
POST http://demo.stub.api.jivox.com/v2/accounts/1234/asset-libraryRequest Body (Multipart Form)
| Name | Data Type | Requirement | Example | Description |
|---|---|---|---|---|
| file | File | Mandatory | test.png, assets.zip | File or zip to upload |
| path | String | Optional | test/uploads/ | Folder path where file should go |
Upload Constraints
- Maximum file size: 10 MB
- Only one file per upload request: If multiple files are attached, only the first file is processed
- Path and filename validations apply
Allowed File Types
| Category | Extensions |
|---|---|
| Images | jpg, jpeg, png, gif, webp, svg, bmp, tiff, ico |
| Documents | pdf, doc, docx, xls, xlsx, ppt, pptx, txt, rtf, csv |
| Media | mp4, avi, mov, wmv, flv, webm, mkv, mp3, wav, ogg, m4a |
| Web Files | html, htm, css, js, json, xml |
| Fonts | ttf, otf, woff, woff2 |
| Archives | zip (will be extracted) |
Sample Response
{ "queueId": "eb828253bf284460ba2a0abdd5a589e3"}Get Upload Detailed Status
End Point
GET <api-url>/v2/queues/:queueId/statusParameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| queueId | String | Mandatory | path | Queue id received from upload request. |
Sample Request
GET http://demo.stub.api.jivox.com/v2/queues/1be2a28728d147af8b9f4a3358/statusSample Response
{ "id": "1be2a28728d147af8b9f4a3358", "message": "Number of assets uploaded: 1", "status": "Completed", "totalItems": 1, "totalProcessed": 1}Get Upload Status
End Point
GET <api-url>/v2/queues/:queueIdParameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| queueId | String | Mandatory | path | Queue id received from upload request. |
Example/Sample Request
GET http://demo.stub.api.jivox.com/v2/queues/1be2a28728d147af8b9f4a3358Sample Response
{ "message": "Number of assets uploaded: 1", "status": "Completed"}Delete Assets/Asset Folders
End Point
DELETE <api-url>/v2/accounts/:accountId/asset-libraryParameters
| Name | Data Type | Requirement | Parameter Type | Description |
|---|---|---|---|---|
| accountId | Integer | Mandatory | path | ID of the advertiser account created on the platform. |
| path | String | Mandatory(optional for file delete) | query | Path of folder or file to delete |
| command | String | Mandatory | query | Command specifying deletion action
|
| file | String | Mandatory(optional for folder delete) | query | File name if deleting a specific file |
Example/Sample Request
Delete File
Optional : path
Mandatory:
command=deleteFilefile=<filename>command=deleteFile&file=testfile.pngOR
command=deleteFilefile=<filename>path=<filepath>command=deleteFile&path=abc/def&file=testfile.pngDELETE http://demo.stub.api.jivox.com/v2/accounts/1234/asset-library?command=deleteFile&path=abc/def&file=testfile.pngDelete Folder
Mandatory:
path=<filepath>command=deleteFoldercommand=deleteFolder&path=abc/defDELETE http://demo.stub.api.jivox.com/v2/accounts/1234/asset-library?command=deleteFolder&path=abc/defSample Response
{ "msg": "Deleted successfully"}- Deleting a non-existent file is considered a success operation.
- If all the files inside a path are deleted, that path would also be removed.
Path and filename Validation Rules
- Max path length: 512 characters
- Null byte (
\\u0000) and ASCII control chars (0x00–0x1F) not allowed - Unicode control chars disallowed: DEL (
\\u007F), NEL (\\u0085), Latin-1 Supplement (U+00A0–U+00FF) - Paths cannot contain traversal sequences such as
".."or"./" - Paths cannot start with
/(no absolute paths) - Paths cannot contain double slashes
"//" - File names must not end with
/ - File extension must be in the allowed file types list
Examples of Validation Errors
Path contains a null byte (\\u0000).Path exceeds max length of 512 characters.Path contains illegal sequence ".." (directory traversal).File extension 'exe' is not allowed. Allowed: jpg, png, pdf, ...